## cutefish-qt-plugins-0.3-1.src.tar.gz

=== widgetstyle/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(cutefishstyle)

set(TARGET cutefishstyle)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(QT Core Gui Widgets DBus)
find_package(Qt5 REQUIRED ${QT})
find_package(PkgConfig REQUIRED)
find_package(KF5 REQUIRED WindowSystem)

include(ECMQueryQmake)

set (SRCS
    blurhelper.cpp
    blurhelper.h
    pstyleplugin.cpp
    pstyleplugin.h
    basestyle.h
    basestyle.cpp
    phantomcolor.h
    phantomcolor.cpp
    shadowhelper.h
    shadowhelper.cpp
    tileset.h
    tileset.cpp
    boxshadowrenderer.h
    boxshadowrenderer.cpp
)

add_library(${TARGET} MODULE ${SRCS})
target_link_libraries(${TARGET}
    Qt5::GuiPrivate
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::DBus
    KF5::WindowSystem
    )

query_qmake(CMAKE_INSTALL_QTPLUGINDIR QT_INSTALL_PLUGINS)

install(TARGETS ${TARGET} DESTINATION ${CMAKE_INSTALL_QTPLUGINDIR}/styles/)

=== debian/changelog ===
cutefish-qtplugins (0.1) UNRELEASED; urgency=low

  * Initial release (CutefishOS)  <cutefishos@foxmail.com>

 -- CutefishOS <cutefishos@foxmail.com>  Thu, 16 Oct 2014 17:22:15 +0200

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=cutefish-qt-plugins
pkgver=0.3
pkgrel=1
pkgdesc="Unify Qt application style of CutefishOS"
arch=('x86_64')
url="https://github.com/cutefishos/qt-plugins"
license=('GPL')
groups=('cutefish')
depends=('kwindowsystem' 'libdbusmenu-qt5' 'libqtxdg' 'qt5-quickcontrols2')
makedepends=('extra-cmake-modules' 'ninja' 'qt5-tools')
source=("https://github.com/cutefishos/qt-plugins/archive/$pkgver/$pkgname-$pkgver.tar.gz")
sha512sums=('69bc440e6285be6fc702d5f27b2178e009f9609af2658700555d295a4584c82636821b9b1fe30e4b2511d6e68612b9bc131480f388c7d9395e45381d9b6258c2')

build() {
  cd qt-plugins-$pkgver

  cmake -GNinja -DCMAKE_INSTALL_PREFIX=/usr .
  ninja
}

package() {
  cd qt-plugins-$pkgver
  DESTDIR="$pkgdir" ninja install
}

=== debian/control ===
Source: cutefish-qtplugins
Section: devel
Priority: optional
Maintainer: CutefishOS <cutefishos@foxmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               libqt5x11extras5-dev,
               libqt5xdg-dev,
               libdbusmenu-qt5-dev,
               libxcb1-dev,
               libxcb-ewmh-dev,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.0
Homepage: https://github.com/cutefishos/qt-plugins

Package: cutefish-qtplugins
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: CutefishOS Qt Plugins
